
#include <qwidget.h>
#include <qcombobox.h>
#include <qpushbutton.h>
#include <qlistview.h>
#include <qpopupmenu.h>

class DVDSearchPage : public QWidget
{
	Q_OBJECT
public:
	DVDSearchPage(QWidget *parent = 0, const char *name = 0);
	virtual ~DVDSearchPage();

private slots:
	void search();
	void clear();
	void rent();
	void reserve();
	void edit();
	void deleteDvd();
	void showPopup(QListViewItem*, const QPoint&, int);
	
private:
	QComboBox *m_pSearchFor;
	QComboBox *m_pActor;
	QListView *m_pList;
	QPopupMenu *m_pPopup;
};
